import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const SearchFields: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        action: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        disabled: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        action: string;
        placeholder: string;
        disabled: boolean;
    };
};
export default SearchFields;
